EPPContactUpdate (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp02.rtk.xml.EPPContactUpdate class

### com.tucows.oxrs.epp02.rtk.xml

# Class EPPContactUpdate

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp02.rtk.RTKBase`
  - - `com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp02.rtk.xml.EPPContactBase`
      - - `com.tucows.oxrs.epp02.rtk.xml.EPPContactUpdate`

Implemented Interfaces:
  epp_Action, epp_ActionOperations, epp_ContactUpdate, epp_ContactUpdateOperations, org.omg.CORBA.portable.IDLEntity, org.omg.CORBA.Object

`public class EPPContactUpdate`
`extends EPPContactBase`
`implements epp_ContactUpdate`

Class for the EPP Contact Update command and response. Extends the epp_ContactUpdate interface from the EPP IDLs to provide the XML translation for the EPP Contact Update command. The Update command allows the sponsoring client to change data associated with an EPP object. Usage is demonstrated in the com.tucows.oxrs.epp02.rtk.example.ContactExample class.

See Also:
  `ContactExample`, `epp_Action`, `epp_ContactUpdate`, `epp_ContactUpdateReq`, `epp_ContactUpdateRsp`, `Contact Spec for more information`

  ## Field Summary

  ### Fields inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPContactBase
  `contact_status_hash_`, `status_to_string_array_`

  ### Fields inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp02.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPContactUpdate()` Default constructor
  `EPPContactUpdate(String xml)` Constructor with response XML string to automatically parse.

  ## Method Summary
  `void` | `fromXML(String xml)` Parses a new XML String and populates the response data member.
  `epp_ContactUpdateRsp` | `getResponseData()` Accessor method for the contact update response data.
  `void` | `setRequestData(epp_ContactUpdateReq value)` Accessor method for the contact update request data.
  `String` | `toXML()` Builds request XML from the request data.

  ### Methods inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPContactBase
  `addressToXML`, `contactStatusFromString`, `contactStatusToString`, `initContactStatusHash`, `initHashes`, `setCommonAttributes`

  ### Methods inherited from class com.tucows.oxrs.epp02.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `createXMLSnippetFromDoc`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getNode`, `getUnspecNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareUnspecElement`, `stringListToXML`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp02.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getRTKProperties`, `setDebugLevel`

## Constructor Details

### EPPContactUpdate

    public EPPContactUpdate()

> Default constructor

### EPPContactUpdate

    public EPPContactUpdate(String xml)
                throws epp_XMLException,
                       epp_Exception

> Constructor with response XML string to automatically parse.
> Parameters:
>   `xml` - The EPP Contact Update response XML String
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `fromXML(String)`

## Method Details

### fromXML

    public void fromXML(String xml)
                throws epp_XMLException,
                       epp_Exception

> Parses a new XML String and populates the response data member. Implemented method from org.openrtk.idl.epp02.epp_Action interface.
> Specified by:
>   fromXML in interface epp_ActionOperations
> Parameters:
> Throws:
>   `epp_XMLException` - if the response XML is not parsable or does not contain the expected data
>   `epp_Exception` - if the server has responded with an error code
> See Also:
>   `epp_Action`

### getResponseData

    public epp_ContactUpdateRsp getResponseData()

> Accessor method for the contact update response data.
> Specified by:
>   getResponseData in interface epp_ContactUpdateOperations
> Returns:
>   value org.openrtk.idl.epp02.epp_ContactUpdateRsp

### setRequestData

    public void setRequestData(epp_ContactUpdateReq value)

> Accessor method for the contact update request data. Must be set to for this command.
> Specified by:
>   setRequestData in interface epp_ContactUpdateOperations
> Parameters:
>   `value` - org.openrtk.idl.epp02.epp_ContactUpdateReq

### toXML

    public String toXML()
                throws epp_XMLException

> Builds request XML from the request data. Implemented method from org.openrtk.idl.epp02.epp_Action interface.
> Specified by:
>   toXML in interface epp_ActionOperations
> Throws:
>   `epp_XMLException` - if required data is missing
> See Also:
>   `setRequestData(epp_ContactUpdateReq)`, `epp_Action`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS